#include <bits/stdc++.h>

using namespace std;



int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    char t[200001];
    char s[11];
    int i,j;
    i=j=0;
    int min;
    int minindex;

    scanf("%s",t);
    scanf("%s",s);

    int n=strlen(t);
    int m=strlen(s);

    int letters[m];
    for (i = 0; i<m ; ++i) {
        letters[i]=0;
    }

    for(i=0;i<n;++i)
    {
        if(s[j]==t[i])
        {
            letters[j]++;
            j++;
        }
        else if(j!=0 && s[j-1]==t[i])
            letters[j-1]++;

    }

    j=0;

    min=*min_element(letters,letters+m);
    minindex=min_element(letters,letters+m)-letters;

    for(i=0;i<n;++i)
    {
        if(s[j]==t[i])
            j++;

        if(j==minindex+1 && t[i]==s[minindex])
            t[i]='*';
    }

    printf("%i\n",min);
    printf("%s",t);
    return 0;
}